AsterNet Class Library (Sandcastle documentation)

| OriginateResponse Class

[Missing <summary> documentation for "T:AsterNET.Manager.Response.OriginateResponse"]

Inheritance Hierarchy
System
Object
AsterNET.Manager.Response
OriginateResponse

Namespace: AsterNET.Manager.Response
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class OriginateResponse

    Public Class OriginateResponse

    public ref class OriginateResponse

    type OriginateResponse =  class end

The OriginateResponse type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| OriginateResponse | Initializes a new instance of the OriginateResponse class

Top
Methods

| Name | Description
--- | --- | ---
| CalcDuration | Return the duration of the call in milliseconds. If the call is has not ended, the duration so far is calculated.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Overrides Object ToString .)

Top
Properties

| Name | Description
--- | --- | ---
| Channel |
| ChannelName |
| EndTime |
| IsSuccess |
| Reason |
| Response |
| StartTime |
| UniqueId |

Top
See Also

#### Reference

AsterNET.Manager.Response Namespace